Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class NameBean

    java.lang.Object
      net.jini.lookup.entry.NameBean

All Implemented Interfaces:
  EntryBean, Serializable

public class NameBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates a Name object.

See Also:
  `Name`, Serialized Form

Field Summary
`protected Name` | `assoc` The Name object associated with this JavaBeans component.

Constructor Summary
`NameBean()` Construct a new JavaBeans component, linked to a new empty Name object.

Method Summary
`Entry` | `followLink()` Return the Name linked to by this JavaBeans component.
`String` | `getName()` Return the value of the name field in the object linked to by this JavaBeans component.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setName(String x)` Set the value of the name field in the object linked to by this JavaBeans component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected Name assoc

  The Name object associated with this JavaBeans component.

Constructor Detail

### NameBean

    public NameBean()

  Construct a new JavaBeans component, linked to a new empty Name object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this JavaBeans component

### followLink

    public Entry followLink()

  Return the Name linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getName

    public String getName()

  Return the value of the name field in the object linked to by this JavaBeans component.

  Returns:
    a String representing the name value
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(String x)

  Set the value of the name field in the object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the name value
  See Also:
    `getName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved